#
# Copyright Michael Orlitzky
#
# http://michael.orlitzky.com/
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
# GNU General Public License for more details.
#
# http://www.fsf.org/licensing/licenses/gpl.html
#

class WgetDownloader < Downloader

  def download(url, outfile, headers = {}, continue = false)
    if (continue == false and File.exists?(outfile))
      raise IOError.new("Output file already exists. Please remove #{outfile}, and try again. If this is a partially-downloaded file, you can use the --continue flag to pick up where it left off.")
    end

    options = ''

    if continue == true
      options += '--continue '
    end

    headers.each_key do |key|
      options += "--header '#{key}: #{headers[key]}' "
    end

    # This one's easy.
    cmd = "wget #{options} -O \"#{outfile}\" \"#{url}\""
    puts "\nExecuting external command: #{cmd}\n\n"
    Kernel.exec(cmd)
  end
  
end
